#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(b53_imp_vlan_setup, "", "");
KSYMTAB_FUNC(b53_enable_port, "", "");
KSYMTAB_FUNC(b53_disable_port, "", "");
KSYMTAB_FUNC(b53_brcm_hdr_setup, "", "");
KSYMTAB_FUNC(b53_configure_vlan, "", "");
KSYMTAB_FUNC(b53_get_strings, "", "");
KSYMTAB_FUNC(b53_get_ethtool_stats, "", "");
KSYMTAB_FUNC(b53_get_ethtool_phy_stats, "", "");
KSYMTAB_FUNC(b53_get_sset_count, "", "");
KSYMTAB_FUNC(b53_setup_devlink_resources, "", "");
KSYMTAB_FUNC(b53_port_event, "", "");
KSYMTAB_FUNC(b53_vlan_filtering, "", "");
KSYMTAB_FUNC(b53_vlan_add, "", "");
KSYMTAB_FUNC(b53_vlan_del, "", "");
KSYMTAB_FUNC(b53_fdb_add, "", "");
KSYMTAB_FUNC(b53_fdb_del, "", "");
KSYMTAB_FUNC(b53_fdb_dump, "", "");
KSYMTAB_FUNC(b53_mdb_add, "", "");
KSYMTAB_FUNC(b53_mdb_del, "", "");
KSYMTAB_FUNC(b53_br_join, "", "");
KSYMTAB_FUNC(b53_br_leave, "", "");
KSYMTAB_FUNC(b53_br_set_stp_state, "", "");
KSYMTAB_FUNC(b53_br_fast_age, "", "");
KSYMTAB_FUNC(b53_br_flags_pre, "", "");
KSYMTAB_FUNC(b53_br_flags, "", "");
KSYMTAB_FUNC(b53_get_tag_protocol, "", "");
KSYMTAB_FUNC(b53_mirror_add, "", "");
KSYMTAB_FUNC(b53_mirror_del, "", "");
KSYMTAB_FUNC(b53_eee_init, "", "");
KSYMTAB_FUNC(b53_get_mac_eee, "", "");
KSYMTAB_FUNC(b53_set_mac_eee, "", "");
KSYMTAB_FUNC(b53_switch_alloc, "", "");
KSYMTAB_FUNC(b53_switch_detect, "", "");
KSYMTAB_FUNC(b53_switch_register, "", "");

SYMBOL_CRC(b53_imp_vlan_setup, 0x63d4e08e, "");
SYMBOL_CRC(b53_enable_port, 0x258c1a0a, "");
SYMBOL_CRC(b53_disable_port, 0xbc60d546, "");
SYMBOL_CRC(b53_brcm_hdr_setup, 0x986f0ed7, "");
SYMBOL_CRC(b53_configure_vlan, 0x8a322330, "");
SYMBOL_CRC(b53_get_strings, 0x0b378888, "");
SYMBOL_CRC(b53_get_ethtool_stats, 0x8a7b8e7e, "");
SYMBOL_CRC(b53_get_ethtool_phy_stats, 0x4c892b8f, "");
SYMBOL_CRC(b53_get_sset_count, 0x1111b491, "");
SYMBOL_CRC(b53_setup_devlink_resources, 0x68984b4c, "");
SYMBOL_CRC(b53_port_event, 0xad87c51e, "");
SYMBOL_CRC(b53_vlan_filtering, 0x267ab880, "");
SYMBOL_CRC(b53_vlan_add, 0x1654fd7e, "");
SYMBOL_CRC(b53_vlan_del, 0x859daddc, "");
SYMBOL_CRC(b53_fdb_add, 0x60b5128d, "");
SYMBOL_CRC(b53_fdb_del, 0xc8d120c7, "");
SYMBOL_CRC(b53_fdb_dump, 0x9ed42a0a, "");
SYMBOL_CRC(b53_mdb_add, 0xf89c4621, "");
SYMBOL_CRC(b53_mdb_del, 0x51260a54, "");
SYMBOL_CRC(b53_br_join, 0x660f65e0, "");
SYMBOL_CRC(b53_br_leave, 0x89c54658, "");
SYMBOL_CRC(b53_br_set_stp_state, 0xf881dbbb, "");
SYMBOL_CRC(b53_br_fast_age, 0x724c0d9c, "");
SYMBOL_CRC(b53_br_flags_pre, 0x681e48d9, "");
SYMBOL_CRC(b53_br_flags, 0xcb6433fc, "");
SYMBOL_CRC(b53_get_tag_protocol, 0xcfb06ae0, "");
SYMBOL_CRC(b53_mirror_add, 0x9e718b0c, "");
SYMBOL_CRC(b53_mirror_del, 0x5b4ac27f, "");
SYMBOL_CRC(b53_eee_init, 0xe242ac00, "");
SYMBOL_CRC(b53_get_mac_eee, 0xa469f61b, "");
SYMBOL_CRC(b53_set_mac_eee, 0xa72e7b84, "");
SYMBOL_CRC(b53_switch_alloc, 0xee7706b6, "");
SYMBOL_CRC(b53_switch_detect, 0x2c2d3e7c, "");
SYMBOL_CRC(b53_switch_register, 0xfe0ce0a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76cc5c1, "dsa_devlink_resources_unregister" },
	{ 0xd56ebe5f, "dsa_devlink_resource_register" },
	{ 0xd2d13e1c, "dsa_devlink_resource_occ_get_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x443e95c1, "_dev_warn" },
	{ 0x3d9a2164, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x99720812, "mdiobus_get_phy" },
	{ 0x5b2578c0, "phy_ethtool_get_stats" },
	{ 0xb1c1c91a, "phy_ethtool_get_sset_count" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x6650c9a9, "phy_ethtool_get_strings" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x27ab7b39, "dsa_port_phylink_mac_change" },
	{ 0x4867de9b, "phy_init_eee" },
	{ 0x59502de4, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaecf47cb, "__dynamic_dev_dbg" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3a0424a0, "_dev_info" },
	{ 0xccf8a0aa, "dsa_register_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8479afc, "gpio_to_desc" },
	{ 0xf2995c74, "gpiod_set_raw_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "dsa_core,libphy");


MODULE_INFO(srcversion, "23CA4F9951FE7DA4768D84E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
