#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(__kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(__kvm_faultin_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_prefetch_pages, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_kick, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_DATA(kvm_rebooting, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_get_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_gmem_populate, "_gpl", "");
KSYMTAB_DATA(kvm_caps, "_gpl", "");
KSYMTAB_DATA(kvm_host, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_get_cs_db_l_bits, "_gpl", "");
KSYMTAB_DATA(__SCK__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__kvm_x86_cache_reg, "_gpl", "");
KSYMTAB_DATA(report_ignored_msrs, "_gpl", "");
KSYMTAB_DATA(enable_vmware_backdoor, "_gpl", "");
KSYMTAB_DATA(enable_pmu, "_gpl", "");
KSYMTAB_DATA(kvm_nr_uret_msrs, "_gpl", "");
KSYMTAB_DATA(allow_smaller_maxphyaddr, "_gpl", "");
KSYMTAB_DATA(enable_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_add_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_find_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_user_return_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_spurious_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_deliver_exception_payload, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_p, "_gpl", "");
KSYMTAB_FUNC(kvm_complete_insn_gp, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_emulated_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_queue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_requeue_exception_e, "_gpl", "");
KSYMTAB_FUNC(kvm_require_dr, "_gpl", "");
KSYMTAB_FUNC(load_pdptrs, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr0, "_gpl", "");
KSYMTAB_FUNC(kvm_lmsw, "_gpl", "");
KSYMTAB_FUNC(kvm_load_guest_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_load_host_xsave_state, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_xsetbv, "_gpl", "");
KSYMTAB_FUNC(__kvm_is_valid_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_post_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr4, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr3, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_get_cr8, "_gpl", "");
KSYMTAB_FUNC(kvm_update_dr7, "_gpl", "");
KSYMTAB_FUNC(kvm_set_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdpmc, "_gpl", "");
KSYMTAB_FUNC(kvm_valid_efer, "_gpl", "");
KSYMTAB_FUNC(kvm_enable_efer_bits, "_gpl", "");
KSYMTAB_FUNC(kvm_msr_allowed, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_with_filter, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_with_filter, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_rdmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wrmsr, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_invd, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invalid_op, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_mwait, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_monitor, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_set_msr_irqoff, "_gpl", "");
KSYMTAB_FUNC(kvm_read_l1_tsc, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(kvm_calc_nested_tsc_multiplier, "_gpl", "");
KSYMTAB_FUNC(kvm_service_local_tlb_flush_requests, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_get_msr_common, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_read, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_gva_to_gpa_write, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_virt, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_virt_system, "_gpl", "");
KSYMTAB_FUNC(handle_ud, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_wbinvd, "_gpl", "");
KSYMTAB_FUNC(kvm_inject_realmode_interrupt, "_gpl", "");
KSYMTAB_FUNC(__kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_prepare_emulation_failure_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_skip_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(x86_decode_emulated_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_instruction_from_buffer, "_gpl", "");
KSYMTAB_FUNC(kvm_fast_pio, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_init, "_gpl", "");
KSYMTAB_FUNC(kvm_x86_vendor_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_apicv_activated, "_gpl", "");
KSYMTAB_FUNC(__kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_hypercall, "_gpl", "");
KSYMTAB_FUNC(__kvm_vcpu_update_apicv, "_gpl", "");
KSYMTAB_FUNC(kvm_set_or_clear_apicv_inhibit, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt_noskip, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_halt, "_gpl", "");
KSYMTAB_FUNC(handle_fastpath_hlt, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_ap_reset_hold, "_gpl", "");
KSYMTAB_FUNC(kvm_task_switch, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_reset, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_deliver_sipi_vector, "_gpl", "");
KSYMTAB_FUNC(__x86_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_is_linear_rip, "_gpl", "");
KSYMTAB_FUNC(kvm_get_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_set_rflags, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_start_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_end_assignment, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_assigned_device, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_register_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_unregister_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_has_noncoherent_dma, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_no_poll, "_gpl", "");
KSYMTAB_FUNC(kvm_spec_ctrl_test_value, "_gpl", "");
KSYMTAB_FUNC(kvm_fixup_and_inject_pf_error, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_memory_failure, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_invpcid, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_write, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_mmio_read, "_gpl", "");
KSYMTAB_FUNC(kvm_sev_es_string_io, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_entry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_fast_mmio, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_inj_virq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_page_fault, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_msr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_cr, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmexit_inject, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intr_vmexit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_vmenter_failed, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_invlpga, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_skinit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_nested_intercepts, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_write_tsc_offset, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_ple_window_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pml_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_pi_irte_update, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_unaccelerated_access, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_incomplete_ipi, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_ga_log, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_avic_doorbell, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_apicv_accept_irq, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__traceiter_kvm_rmp_fault, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_kvm_rmp_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_injectable_intr, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_cpu_get_extint, "_gpl", "");
KSYMTAB_DATA(kvm_has_noapic_vcpu, "_gpl", "");
KSYMTAB_FUNC(__kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_clear_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_hwapic_isr, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_find_highest_irr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_update_ppr, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_match_dest, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_set_eoi_accelerated, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_send_ipi, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_readable_reg_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_wait_lapic_expire, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_expired_hv_timer, "_gpl", "");
KSYMTAB_FUNC(kvm_lapic_set_eoi, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_write_nodecode, "_gpl", "");
KSYMTAB_FUNC(kvm_alloc_apic_access_page, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_has_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_apic_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(kvm_set_msi_irq, "_gpl", "");
KSYMTAB_FUNC(kvm_intr_is_single_vcpu, "_gpl", "");
KSYMTAB_DATA(kvm_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_update_cpuid_runtime, "_gpl", "");
KSYMTAB_FUNC(kvm_set_cpu_caps, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry_index, "_gpl", "");
KSYMTAB_FUNC(kvm_find_cpuid_entry, "_gpl", "");
KSYMTAB_FUNC(kvm_cpuid, "_gpl", "");
KSYMTAB_FUNC(kvm_emulate_cpuid, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_cap, "_gpl", "");
KSYMTAB_DATA(kvm_pmu_eventsel, "_gpl", "");
KSYMTAB_FUNC(pmc_write_counter, "_gpl", "");
KSYMTAB_FUNC(kvm_pmu_trigger_event, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_free_guest_mode_roots, "_gpl", "");
KSYMTAB_FUNC(kvm_handle_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_new_pgd, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_npt_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_shadow_ept_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_init_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_reset_context, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_page_fault, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_print_sptes, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invalidate_addr, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_invlpg, "_gpl", "");
KSYMTAB_FUNC(kvm_configure_mmu, "_gpl", "");
KSYMTAB_FUNC(kvm_zap_gfn_range, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_register_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_page_track_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_add_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_write_track_remove_gfn, "_gpl", "");
KSYMTAB_DATA(enable_mmio_caching, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_mmio_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_me_spte_mask, "_gpl", "");
KSYMTAB_FUNC(kvm_mmu_set_ept_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_assist_page_enabled, "_gpl", "");
KSYMTAB_FUNC(kvm_hv_get_assist_page, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs_range, "_gpl", "");
KSYMTAB_FUNC(hv_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(hv_track_root_tdp, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(vcpu_load, 0x0fc22931, "_gpl");
SYMBOL_CRC(vcpu_put, 0xc087f11b, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0x1067ac1f, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0x4333dcef, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0x6d41570e, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0x789d8037, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0xf7abb293, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0x6c299e78, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0x973d5de8, "_gpl");
SYMBOL_CRC(__kvm_set_memory_region, 0x8bb77a16, "_gpl");
SYMBOL_CRC(kvm_set_memory_region, 0x6d10b172, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0x1791e98d, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0xf28b4f5a, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0xbd4d3799, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0x5c33d4ee, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x0c8ac666, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x3a062a12, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0xd02dbb70, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0xc41d511f, "_gpl");
SYMBOL_CRC(__kvm_faultin_pfn, 0xd47cdcbe, "_gpl");
SYMBOL_CRC(kvm_prefetch_pages, 0x0894101b, "_gpl");
SYMBOL_CRC(__gfn_to_page, 0x6247d56f, "_gpl");
SYMBOL_CRC(__kvm_vcpu_map, 0x94b8ba17, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0x62f92223, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0xf64026b2, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0x87a38430, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0x39fb99db, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0x25869e08, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0xd29cda84, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0xc026fb12, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0x2115747e, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0x38b9bbc4, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0x1e894b79, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0x573cf86b, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x32a31ff9, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0xe1c3e9b8, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0xc48e0e16, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0xfce2468f, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0x0a4cac4f, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0x78ab2283, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0x8386b5fe, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0x13ba27c1, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0x950f6553, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0xe0d32dfb, "_gpl");
SYMBOL_CRC(kvm_vcpu_kick, 0x3a3a999a, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0xe0fddf80, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0x9c95973c, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0xdfe14b06, "_gpl");
SYMBOL_CRC(file_is_kvm, 0x1ab4ef2a, "_gpl");
SYMBOL_CRC(kvm_rebooting, 0x485cd7f6, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x36a412fd, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0x65261c6f, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0xbb3b12d8, "_gpl");
SYMBOL_CRC(kvm_init, 0xc1e2fb0e, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0xfa7d225c, "_gpl");
SYMBOL_CRC(kvm_gmem_get_pfn, 0x8275fdcc, "_gpl");
SYMBOL_CRC(kvm_gmem_populate, 0x122e8132, "_gpl");
SYMBOL_CRC(kvm_caps, 0xcf509080, "_gpl");
SYMBOL_CRC(kvm_host, 0xb8bdeb6e, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_get_cs_db_l_bits, 0x1f5fb301, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_get_cs_db_l_bits, 0x53d9f927, "_gpl");
SYMBOL_CRC(__SCK__kvm_x86_cache_reg, 0x204b7a91, "_gpl");
SYMBOL_CRC(__SCT__kvm_x86_cache_reg, 0x59387ba3, "_gpl");
SYMBOL_CRC(report_ignored_msrs, 0xc96d35f4, "_gpl");
SYMBOL_CRC(enable_vmware_backdoor, 0x1db1c372, "_gpl");
SYMBOL_CRC(enable_pmu, 0xb82c0987, "_gpl");
SYMBOL_CRC(kvm_nr_uret_msrs, 0x0b58a11d, "_gpl");
SYMBOL_CRC(allow_smaller_maxphyaddr, 0x9cf59e7a, "_gpl");
SYMBOL_CRC(enable_apicv, 0xce576a13, "_gpl");
SYMBOL_CRC(kvm_add_user_return_msr, 0x7fe19488, "_gpl");
SYMBOL_CRC(kvm_find_user_return_msr, 0x3ab2794c, "_gpl");
SYMBOL_CRC(kvm_set_user_return_msr, 0x053614ec, "_gpl");
SYMBOL_CRC(kvm_spurious_fault, 0x709cd8cb, "_gpl");
SYMBOL_CRC(kvm_deliver_exception_payload, 0x843f44de, "_gpl");
SYMBOL_CRC(kvm_queue_exception, 0x289dbd12, "_gpl");
SYMBOL_CRC(kvm_requeue_exception, 0x0da3073b, "_gpl");
SYMBOL_CRC(kvm_queue_exception_p, 0x65b875cc, "_gpl");
SYMBOL_CRC(kvm_complete_insn_gp, 0x4dd60fbc, "_gpl");
SYMBOL_CRC(kvm_inject_emulated_page_fault, 0x56c9832e, "_gpl");
SYMBOL_CRC(kvm_queue_exception_e, 0xd77b3717, "_gpl");
SYMBOL_CRC(kvm_requeue_exception_e, 0x8216982d, "_gpl");
SYMBOL_CRC(kvm_require_dr, 0xebd25a2e, "_gpl");
SYMBOL_CRC(load_pdptrs, 0x9817b558, "_gpl");
SYMBOL_CRC(kvm_post_set_cr0, 0xbe75c7ce, "_gpl");
SYMBOL_CRC(kvm_set_cr0, 0x15b75d3f, "_gpl");
SYMBOL_CRC(kvm_lmsw, 0xb53cad17, "_gpl");
SYMBOL_CRC(kvm_load_guest_xsave_state, 0x8ad39ac0, "_gpl");
SYMBOL_CRC(kvm_load_host_xsave_state, 0xbca20c3e, "_gpl");
SYMBOL_CRC(kvm_emulate_xsetbv, 0xda89cb6b, "_gpl");
SYMBOL_CRC(__kvm_is_valid_cr4, 0x1d26b116, "_gpl");
SYMBOL_CRC(kvm_post_set_cr4, 0x5ddfb9c3, "_gpl");
SYMBOL_CRC(kvm_set_cr4, 0x807694a8, "_gpl");
SYMBOL_CRC(kvm_set_cr3, 0x0cfb8a01, "_gpl");
SYMBOL_CRC(kvm_set_cr8, 0xe545c850, "_gpl");
SYMBOL_CRC(kvm_get_cr8, 0xf8c435a0, "_gpl");
SYMBOL_CRC(kvm_update_dr7, 0x57ef220a, "_gpl");
SYMBOL_CRC(kvm_set_dr, 0xddc64d37, "_gpl");
SYMBOL_CRC(kvm_get_dr, 0xc826ea57, "_gpl");
SYMBOL_CRC(kvm_emulate_rdpmc, 0x66d62b59, "_gpl");
SYMBOL_CRC(kvm_valid_efer, 0x3583fe94, "_gpl");
SYMBOL_CRC(kvm_enable_efer_bits, 0x1d013832, "_gpl");
SYMBOL_CRC(kvm_msr_allowed, 0xa3eb696e, "_gpl");
SYMBOL_CRC(kvm_get_msr_with_filter, 0x723920f1, "_gpl");
SYMBOL_CRC(kvm_set_msr_with_filter, 0x217f3d9c, "_gpl");
SYMBOL_CRC(kvm_get_msr, 0xd795bb0c, "_gpl");
SYMBOL_CRC(kvm_set_msr, 0xedb57f6d, "_gpl");
SYMBOL_CRC(kvm_emulate_rdmsr, 0x1b5668dd, "_gpl");
SYMBOL_CRC(kvm_emulate_wrmsr, 0x2cc21b27, "_gpl");
SYMBOL_CRC(kvm_emulate_invd, 0x062d05fd, "_gpl");
SYMBOL_CRC(kvm_handle_invalid_op, 0x03c617e9, "_gpl");
SYMBOL_CRC(kvm_emulate_mwait, 0xe7c8e51f, "_gpl");
SYMBOL_CRC(kvm_emulate_monitor, 0xa7af4aaa, "_gpl");
SYMBOL_CRC(handle_fastpath_set_msr_irqoff, 0xf97abe9b, "_gpl");
SYMBOL_CRC(kvm_read_l1_tsc, 0x86462a5e, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_offset, 0x6303c089, "_gpl");
SYMBOL_CRC(kvm_calc_nested_tsc_multiplier, 0xef14fd98, "_gpl");
SYMBOL_CRC(kvm_service_local_tlb_flush_requests, 0x0802a0e4, "_gpl");
SYMBOL_CRC(kvm_set_msr_common, 0xa6537020, "_gpl");
SYMBOL_CRC(kvm_get_msr_common, 0xcbc0650b, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_read, 0x8747ba52, "_gpl");
SYMBOL_CRC(kvm_mmu_gva_to_gpa_write, 0xb6855711, "_gpl");
SYMBOL_CRC(kvm_read_guest_virt, 0x3a085b11, "_gpl");
SYMBOL_CRC(kvm_write_guest_virt_system, 0xff82cf97, "_gpl");
SYMBOL_CRC(handle_ud, 0x27d2e122, "_gpl");
SYMBOL_CRC(kvm_emulate_wbinvd, 0xb4ac9188, "_gpl");
SYMBOL_CRC(kvm_inject_realmode_interrupt, 0x85459216, "_gpl");
SYMBOL_CRC(__kvm_prepare_emulation_failure_exit, 0xab289b01, "_gpl");
SYMBOL_CRC(kvm_prepare_emulation_failure_exit, 0xa2821fb2, "_gpl");
SYMBOL_CRC(kvm_skip_emulated_instruction, 0xda9f4f36, "_gpl");
SYMBOL_CRC(x86_decode_emulated_instruction, 0x77689b72, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction, 0x9e1c25bd, "_gpl");
SYMBOL_CRC(kvm_emulate_instruction_from_buffer, 0xa027183b, "_gpl");
SYMBOL_CRC(kvm_fast_pio, 0x26af75d5, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_init, 0xacb177ed, "_gpl");
SYMBOL_CRC(kvm_x86_vendor_exit, 0x687b78fc, "_gpl");
SYMBOL_CRC(kvm_apicv_activated, 0x6163d633, "_gpl");
SYMBOL_CRC(kvm_vcpu_apicv_activated, 0xa6051c02, "_gpl");
SYMBOL_CRC(__kvm_emulate_hypercall, 0x17facdab, "_gpl");
SYMBOL_CRC(kvm_emulate_hypercall, 0xcac0f060, "_gpl");
SYMBOL_CRC(__kvm_vcpu_update_apicv, 0xd6855f13, "_gpl");
SYMBOL_CRC(kvm_set_or_clear_apicv_inhibit, 0xa2c57534, "_gpl");
SYMBOL_CRC(kvm_emulate_halt_noskip, 0x47cc2c64, "_gpl");
SYMBOL_CRC(kvm_emulate_halt, 0xea7ce06e, "_gpl");
SYMBOL_CRC(handle_fastpath_hlt, 0xc7a7e0f7, "_gpl");
SYMBOL_CRC(kvm_emulate_ap_reset_hold, 0xb6fee427, "_gpl");
SYMBOL_CRC(kvm_task_switch, 0x464c5da4, "_gpl");
SYMBOL_CRC(kvm_vcpu_reset, 0x16e1f471, "_gpl");
SYMBOL_CRC(kvm_vcpu_deliver_sipi_vector, 0x40339beb, "_gpl");
SYMBOL_CRC(__x86_set_memory_region, 0xf20ac19c, "_gpl");
SYMBOL_CRC(kvm_get_linear_rip, 0xcbd545d5, "_gpl");
SYMBOL_CRC(kvm_is_linear_rip, 0xf20d3e7a, "_gpl");
SYMBOL_CRC(kvm_get_rflags, 0x55b3565a, "_gpl");
SYMBOL_CRC(kvm_set_rflags, 0x4d8103dd, "_gpl");
SYMBOL_CRC(kvm_arch_start_assignment, 0xba51c441, "_gpl");
SYMBOL_CRC(kvm_arch_end_assignment, 0x797e92af, "_gpl");
SYMBOL_CRC(kvm_arch_has_assigned_device, 0x2e254e32, "_gpl");
SYMBOL_CRC(kvm_arch_register_noncoherent_dma, 0x91155d02, "_gpl");
SYMBOL_CRC(kvm_arch_unregister_noncoherent_dma, 0x05829797, "_gpl");
SYMBOL_CRC(kvm_arch_has_noncoherent_dma, 0xa90ac03b, "_gpl");
SYMBOL_CRC(kvm_arch_no_poll, 0x0822ae3b, "_gpl");
SYMBOL_CRC(kvm_spec_ctrl_test_value, 0x2d82cc24, "_gpl");
SYMBOL_CRC(kvm_fixup_and_inject_pf_error, 0xac534d80, "_gpl");
SYMBOL_CRC(kvm_handle_memory_failure, 0xe6dabb87, "_gpl");
SYMBOL_CRC(kvm_handle_invpcid, 0xfe52ca46, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_write, 0xeccdf05e, "_gpl");
SYMBOL_CRC(kvm_sev_es_mmio_read, 0x1eb04188, "_gpl");
SYMBOL_CRC(kvm_sev_es_string_io, 0x7bfe8147, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_entry, 0x5f7fd480, "_gpl");
SYMBOL_CRC(__traceiter_kvm_entry, 0x7c7e81d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_entry, 0xfeb9f45e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_entry, 0xc071e99f, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_exit, 0x50578e89, "_gpl");
SYMBOL_CRC(__traceiter_kvm_exit, 0x8f727583, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_exit, 0x47e42e28, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_exit, 0x616e6c95, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_fast_mmio, 0x6ea26764, "_gpl");
SYMBOL_CRC(__traceiter_kvm_fast_mmio, 0x752c2b00, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_fast_mmio, 0xac150c98, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_fast_mmio, 0xea5cda33, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_inj_virq, 0x6f0ef833, "_gpl");
SYMBOL_CRC(__traceiter_kvm_inj_virq, 0x7f51547e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_inj_virq, 0x0f9aa38f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_inj_virq, 0x6becaded, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_page_fault, 0xcdca37cf, "_gpl");
SYMBOL_CRC(__traceiter_kvm_page_fault, 0xfef1f84c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_page_fault, 0x79033e93, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_page_fault, 0x7ff2a104, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_msr, 0x51445c0f, "_gpl");
SYMBOL_CRC(__traceiter_kvm_msr, 0xdc7369fe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_msr, 0x555abe91, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_msr, 0xf084b57d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_cr, 0x03d669a4, "_gpl");
SYMBOL_CRC(__traceiter_kvm_cr, 0x17f9cfe3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_cr, 0xc612e222, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_cr, 0x778e30b9, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter, 0x0a64d076, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter, 0x74910627, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter, 0x525a4071, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter, 0x6d2c9437, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit, 0xdc240a20, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit, 0xb7925d4b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit, 0x8af81c1d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit, 0x2510fc6d, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmexit_inject, 0x17ff2fdf, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmexit_inject, 0x114eb824, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmexit_inject, 0xa9a7c8ed, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmexit_inject, 0x8b618aa6, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intr_vmexit, 0x6f22662c, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intr_vmexit, 0x912a9286, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intr_vmexit, 0x2b9324de, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intr_vmexit, 0xd09da48b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_vmenter_failed, 0xcc6aeb92, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_vmenter_failed, 0x23263c0a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_vmenter_failed, 0x0403e2f5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_vmenter_failed, 0xe93dfc8c, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_invlpga, 0x7106f040, "_gpl");
SYMBOL_CRC(__traceiter_kvm_invlpga, 0x54c1e24a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_invlpga, 0x55d399df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_invlpga, 0x4a1c261b, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_skinit, 0x10068bc2, "_gpl");
SYMBOL_CRC(__traceiter_kvm_skinit, 0xb96e9aa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_skinit, 0x71ccb231, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_skinit, 0xe0e786a7, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_nested_intercepts, 0x94f234a8, "_gpl");
SYMBOL_CRC(__traceiter_kvm_nested_intercepts, 0xa6a50230, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_nested_intercepts, 0x219db5c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_nested_intercepts, 0xa588ef67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_write_tsc_offset, 0x1bc28e57, "_gpl");
SYMBOL_CRC(__traceiter_kvm_write_tsc_offset, 0x5c11e105, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_write_tsc_offset, 0xa48cd3ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_write_tsc_offset, 0xa84a2e73, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_ple_window_update, 0xee5f6445, "_gpl");
SYMBOL_CRC(__traceiter_kvm_ple_window_update, 0x1412f042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_ple_window_update, 0x5b30e529, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_ple_window_update, 0x93a3e40e, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pml_full, 0x11c9a303, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pml_full, 0xc60d7d0c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pml_full, 0x715df8bf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pml_full, 0xf2df48f3, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_pi_irte_update, 0xfd8c08b0, "_gpl");
SYMBOL_CRC(__traceiter_kvm_pi_irte_update, 0x45e80fdf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_pi_irte_update, 0xa5b298b7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_pi_irte_update, 0x388e0e10, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_unaccelerated_access, 0xddfffff4, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_unaccelerated_access, 0x9f68faa3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_unaccelerated_access, 0x555f91ad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_unaccelerated_access, 0xf32dff97, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_incomplete_ipi, 0xe1e0a49e, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_incomplete_ipi, 0x9e20b2bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_incomplete_ipi, 0xb21786ec, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_incomplete_ipi, 0x4942be67, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_ga_log, 0x1d944af3, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_ga_log, 0xa7022320, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_ga_log, 0x7ffd9e25, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_ga_log, 0x1d1b139a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_kick_vcpu_slowpath, 0x0151aa60, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_kick_vcpu_slowpath, 0x4733bf8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_kick_vcpu_slowpath, 0x523127cd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_kick_vcpu_slowpath, 0x5f911332, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_avic_doorbell, 0x8cc68128, "_gpl");
SYMBOL_CRC(__traceiter_kvm_avic_doorbell, 0xc7fe55ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_avic_doorbell, 0xda1a9715, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_avic_doorbell, 0x1f8e9483, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_apicv_accept_irq, 0xe2b41c26, "_gpl");
SYMBOL_CRC(__traceiter_kvm_apicv_accept_irq, 0x3d93fb92, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_apicv_accept_irq, 0x5dfa419b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_apicv_accept_irq, 0x5c7e9f84, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_enter, 0xe0998bf9, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_enter, 0x8f3a890e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_enter, 0xb6459dc4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_enter, 0x8a7fe54a, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_exit, 0xf438bca4, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_exit, 0x7510a39a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_exit, 0x9beaa291, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_exit, 0x48644036, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_enter, 0xda6a3c6c, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_enter, 0x0ca8df68, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_enter, 0xc8557552, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_enter, 0xf54e2886, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_vmgexit_msr_protocol_exit, 0xb2dee7c5, "_gpl");
SYMBOL_CRC(__traceiter_kvm_vmgexit_msr_protocol_exit, 0x25c07225, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_vmgexit_msr_protocol_exit, 0x3a7e899c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_vmgexit_msr_protocol_exit, 0x0cff45f4, "_gpl");
SYMBOL_CRC(__tracepoint_kvm_rmp_fault, 0x39331202, "_gpl");
SYMBOL_CRC(__traceiter_kvm_rmp_fault, 0xba14f7b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_kvm_rmp_fault, 0xfb8479fe, "_gpl");
SYMBOL_CRC(__SCT__tp_func_kvm_rmp_fault, 0xad9b683b, "_gpl");
SYMBOL_CRC(kvm_cpu_has_injectable_intr, 0xc9d78d21, "_gpl");
SYMBOL_CRC(kvm_cpu_has_interrupt, 0xe06268e8, "_gpl");
SYMBOL_CRC(kvm_cpu_get_extint, 0xd178dfbe, "_gpl");
SYMBOL_CRC(kvm_has_noapic_vcpu, 0x3f510ff5, "_gpl");
SYMBOL_CRC(__kvm_apic_update_irr, 0x6243ac82, "_gpl");
SYMBOL_CRC(kvm_apic_update_irr, 0xc0cb215b, "_gpl");
SYMBOL_CRC(kvm_apic_clear_irr, 0xb9714189, "_gpl");
SYMBOL_CRC(kvm_apic_update_hwapic_isr, 0x02dc8159, "_gpl");
SYMBOL_CRC(kvm_lapic_find_highest_irr, 0xdec40c84, "_gpl");
SYMBOL_CRC(kvm_apic_update_ppr, 0xca155037, "_gpl");
SYMBOL_CRC(kvm_apic_match_dest, 0x514a3637, "_gpl");
SYMBOL_CRC(kvm_apic_set_eoi_accelerated, 0x279f4c77, "_gpl");
SYMBOL_CRC(kvm_apic_send_ipi, 0xccba0344, "_gpl");
SYMBOL_CRC(kvm_lapic_readable_reg_mask, 0x73533b1a, "_gpl");
SYMBOL_CRC(kvm_wait_lapic_expire, 0x3d30c066, "_gpl");
SYMBOL_CRC(kvm_lapic_expired_hv_timer, 0x5090f69e, "_gpl");
SYMBOL_CRC(kvm_lapic_set_eoi, 0x432bc0e6, "_gpl");
SYMBOL_CRC(kvm_apic_write_nodecode, 0x7664cd6e, "_gpl");
SYMBOL_CRC(kvm_alloc_apic_access_page, 0x2b501c09, "_gpl");
SYMBOL_CRC(kvm_apic_has_interrupt, 0xa9c19910, "_gpl");
SYMBOL_CRC(kvm_apic_ack_interrupt, 0x2c2baf1b, "_gpl");
SYMBOL_CRC(kvm_set_msi_irq, 0x49be4e53, "_gpl");
SYMBOL_CRC(kvm_intr_is_single_vcpu, 0x5bea41fe, "_gpl");
SYMBOL_CRC(kvm_cpu_caps, 0xbff653a2, "_gpl");
SYMBOL_CRC(kvm_update_cpuid_runtime, 0x2de0fd74, "_gpl");
SYMBOL_CRC(kvm_set_cpu_caps, 0x5d996b31, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry_index, 0x825571c3, "_gpl");
SYMBOL_CRC(kvm_find_cpuid_entry, 0x914f7e7c, "_gpl");
SYMBOL_CRC(kvm_cpuid, 0x7651fdcf, "_gpl");
SYMBOL_CRC(kvm_emulate_cpuid, 0x2a8b8080, "_gpl");
SYMBOL_CRC(kvm_pmu_cap, 0xd475c188, "_gpl");
SYMBOL_CRC(kvm_pmu_eventsel, 0xfcc16c54, "_gpl");
SYMBOL_CRC(pmc_write_counter, 0xee1c4f3f, "_gpl");
SYMBOL_CRC(kvm_pmu_trigger_event, 0x5bdba397, "_gpl");
SYMBOL_CRC(kvm_mmu_free_roots, 0xbad994b6, "_gpl");
SYMBOL_CRC(kvm_mmu_free_guest_mode_roots, 0xaf3e93aa, "_gpl");
SYMBOL_CRC(kvm_handle_page_fault, 0x02fc1501, "_gpl");
SYMBOL_CRC(kvm_mmu_new_pgd, 0x2ef5e10f, "_gpl");
SYMBOL_CRC(kvm_init_shadow_npt_mmu, 0xa9c64ea2, "_gpl");
SYMBOL_CRC(kvm_init_shadow_ept_mmu, 0xc7de7858, "_gpl");
SYMBOL_CRC(kvm_init_mmu, 0xb30b0742, "_gpl");
SYMBOL_CRC(kvm_mmu_reset_context, 0x302b0e1e, "_gpl");
SYMBOL_CRC(kvm_mmu_page_fault, 0x482097f7, "_gpl");
SYMBOL_CRC(kvm_mmu_print_sptes, 0x1a3a91fa, "_gpl");
SYMBOL_CRC(kvm_mmu_invalidate_addr, 0x78b47bbb, "_gpl");
SYMBOL_CRC(kvm_mmu_invlpg, 0xd34337b8, "_gpl");
SYMBOL_CRC(kvm_configure_mmu, 0x06cdc8d1, "_gpl");
SYMBOL_CRC(kvm_zap_gfn_range, 0x91cc0aee, "_gpl");
SYMBOL_CRC(kvm_page_track_register_notifier, 0xc9590fef, "_gpl");
SYMBOL_CRC(kvm_page_track_unregister_notifier, 0x594165b4, "_gpl");
SYMBOL_CRC(kvm_write_track_add_gfn, 0x09c2a369, "_gpl");
SYMBOL_CRC(kvm_write_track_remove_gfn, 0x496426ed, "_gpl");
SYMBOL_CRC(enable_mmio_caching, 0xfab33e4c, "_gpl");
SYMBOL_CRC(kvm_mmu_set_mmio_spte_mask, 0x6ada8f59, "_gpl");
SYMBOL_CRC(kvm_mmu_set_me_spte_mask, 0xbd9d6dfc, "_gpl");
SYMBOL_CRC(kvm_mmu_set_ept_masks, 0x5bf7cde0, "_gpl");
SYMBOL_CRC(kvm_hv_assist_page_enabled, 0x6e09e58e, "_gpl");
SYMBOL_CRC(kvm_hv_get_assist_page, 0x1cc99471, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs_range, 0xe1f824fd, "_gpl");
SYMBOL_CRC(hv_flush_remote_tlbs, 0x1bb0e164, "_gpl");
SYMBOL_CRC(hv_track_root_tdp, 0x20bc881f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66e41bbb, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x292f6484, "fixup_user_fault" },
	{ 0xda634f0e, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x889b1370, "_raw_read_trylock" },
	{ 0xe07f7766, "preempt_notifier_register" },
	{ 0x3776d508, "finish_rcuwait" },
	{ 0x7c3c84df, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x1f1fc640, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf60300c0, "fpu_free_guest_fpstate" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7b94702e, "mmu_notifier_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x995d1071, "prof_on" },
	{ 0x2f03a95c, "xfer_to_guest_mode_handle_work" },
	{ 0x396b0ba1, "cleanup_srcu_struct" },
	{ 0xc88f09f5, "file_modified" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61f5e6bf, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x29c7fa7d, "__vcalloc_noprof" },
	{ 0x77f24400, "perf_register_guest_info_callbacks" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1475d603, "xstate_get_guest_group_perm" },
	{ 0xdfc8093b, "bpf_trace_run1" },
	{ 0x38ea9765, "intel_pt_validate_hw_cap" },
	{ 0xde161ab, "bpf_trace_run9" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7b64d81, "hyperv_stop_tsc_emulation" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3fe35aea, "irq_bypass_unregister_consumer" },
	{ 0x9a185ace, "tick_nohz_full_running" },
	{ 0xfb578fc5, "memset" },
	{ 0xdad13544, "ptrs_per_p4d" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xea1ac4a2, "synchronize_srcu_expedited" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x15fd28d2, "misc_register" },
	{ 0x15294b85, "unpin_user_page" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x25a4988e, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0x6214aef2, "cpufreq_unregister_notifier" },
	{ 0x59d91a0, "fpu_swap_kvm_fpstate" },
	{ 0x56398615, "mark_tsc_unstable" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x3c088e60, "__kmem_cache_create_args" },
	{ 0xc438d23e, "simple_attr_read" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0xd797e7ef, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xe31fdd06, "fpu_copy_uabi_to_guest_fpstate" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7c46233a, "cpufreq_quick_get" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb13595e, "smp_call_function_many" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x4d44ce6f, "__lruvec_stat_mod_folio" },
	{ 0xaa6a50f9, "__static_key_deferred_flush" },
	{ 0x745a981, "xa_erase" },
	{ 0x7e0fbbc7, "pv_ops" },
	{ 0xf53ceb69, "bpf_trace_run3" },
	{ 0xcb6f583e, "__mmap_lock_do_trace_start_locking" },
	{ 0x79b81367, "seq_read" },
	{ 0xb4b97c90, "pvclock_gtod_register_notifier" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x258eb80b, "perf_event_enable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x27cfe872, "irq_work_sync" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x7230beea, "fdget" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x800e5761, "trace_event_buffer_reserve" },
	{ 0x14dc17e9, "mmput" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x42fc0c8, "kthread_destroy_worker" },
	{ 0x57861a5c, "gds_ucode_mitigated" },
	{ 0x3a099605, "__get_user_nocheck_4" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb89e69b1, "jump_label_update_timeout" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x265b6e29, "hyperv_flush_guest_mapping_range" },
	{ 0xb52edf63, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xdf414692, "cpu_info" },
	{ 0x496919c5, "get_user_pages_fast_only" },
	{ 0xe0e6ef02, "perf_get_x86_pmu_capability" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x7d3f3617, "fpu_enable_guest_xfd_features" },
	{ 0x6c87265d, "get_user_pages_unlocked" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb3b3532d, "__tracepoint_mmap_lock_start_locking" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x81a11eef, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x65d9e877, "cpufreq_register_notifier" },
	{ 0xd686812f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x50b03f5d, "l1tf_vmx_mitigation" },
	{ 0x79a9ca6c, "pin_user_pages_unlocked" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb12d906e, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xea1b183, "__mmap_lock_do_trace_released" },
	{ 0xd07269a9, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x550ce709, "pat_enabled" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x93e46ac7, "__hrtimer_get_remaining" },
	{ 0x8d6aff89, "__put_user_nocheck_4" },
	{ 0x7452adff, "user_return_notifier_register" },
	{ 0xc5173c41, "__srcu_read_unlock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0x92f4cc09, "mmu_notifier_register" },
	{ 0xe0d39f1c, "sgx_set_attribute" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5f2da8c4, "check_tsc_unstable" },
	{ 0x3caa5699, "debugfs_create_file_full" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2e1226b0, "generic_file_open" },
	{ 0x3a6c52b7, "truncate_inode_pages_range" },
	{ 0x6f0a7abe, "alloc_pages_noprof" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x5b368b7c, "vtime_guest_enter" },
	{ 0x888c5be5, "irq_bypass_register_consumer" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x6c343c10, "rcuwait_wake_up" },
	{ 0xb6f2e92e, "single_release" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x9199f00a, "pid_vnr" },
	{ 0xd1fb6351, "cpufreq_cpu_get" },
	{ 0xf874d7d5, "preempt_notifier_unregister" },
	{ 0x947b40c6, "cpu_smt_possible" },
	{ 0x25f87992, "fpu_alloc_guest_fpstate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xeda78213, "follow_pfnmap_end" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x65765557, "get_file_active" },
	{ 0xd6df01f7, "perf_get_hw_event_config" },
	{ 0xef8fc95f, "kvm_async_pf_task_wait_schedule" },
	{ 0x16640741, "context_tracking" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2ca32b81, "perf_event_release_kernel" },
	{ 0x754d539c, "strlen" },
	{ 0x5965e53c, "bpf_trace_run7" },
	{ 0x151b97e1, "get_task_pid" },
	{ 0xf1e509ac, "param_ops_int" },
	{ 0xb1fb8f4c, "anon_inode_create_getfile" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe77e38c8, "fpstate_clear_xstate_component" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc2a846c, "single_open" },
	{ 0xe83eba32, "itlb_multihit_kvm_mitigation" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x4fe5eeb6, "__static_call_update" },
	{ 0xd6cd0467, "debugfs_create_dir" },
	{ 0x211fd2d6, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x5f18a6, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xa91dfc8, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd14fa767, "__cpuhp_remove_state" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x3466ce63, "x86_msi_msg_get_destid" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3b6ea47d, "eventfd_ctx_fileget" },
	{ 0xdc39a774, "kmalloc_caches" },
	{ 0xbf30b78b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xba05f52, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x191293a8, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x196614ce, "hw_breakpoint_restore" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x778d6982, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xf4026642, "generic_fillattr" },
	{ 0x7663e535, "simple_attr_write" },
	{ 0x4e5ee273, "tick_nohz_full_mask" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x6c8b7695, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b7a7163, "__static_call_return0" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x4db3ff4f, "kthread_create_worker" },
	{ 0x36b65522, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf7c322c0, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xce3171b8, "kthread_flush_work" },
	{ 0x6988d0ca, "cpu_dr7" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0xcb954e28, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc15c3943, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67955ce6, "profile_hits" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9241b358, "__static_key_slow_dec_deferred" },
	{ 0x78c24706, "folio_unlock" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x52dbc897, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x35ef6c82, "trace_raw_output_prep" },
	{ 0x91640fae, "perf_event_create_kernel_counter" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5422330e, "param_get_bool" },
	{ 0x57c3d5f7, "bpf_trace_run6" },
	{ 0x9320027a, "vtime_guest_exit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5b56860c, "vm_munmap" },
	{ 0xd57411b, "__trace_trigger_soft_disabled" },
	{ 0x83ed4756, "get_pid_task" },
	{ 0x4e50eb3e, "fpu_copy_guest_fpstate_to_uabi" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x53d110d9, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x8605997c, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x466c14a7, "__delay" },
	{ 0x1057a279, "bsearch" },
	{ 0xecddfc73, "fget" },
	{ 0xb170db91, "__put_task_struct" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x38fbed55, "__xas_next" },
	{ 0x23967b1, "xas_find" },
	{ 0x46a6c9ef, "hv_get_tsc_page" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3ba01b47, "get_compat_sigset" },
	{ 0xcd81a945, "switch_fpu_return" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0xa8e062f1, "noop_dirty_folio" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0x25fde946, "irq_work_queue" },
	{ 0xe1aa2d62, "set_hv_tscchange_cb" },
	{ 0xbc18cc10, "param_set_uint" },
	{ 0x163e0096, "fd_install" },
	{ 0xecfc50cf, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0xbf2e2e71, "housekeeping_enabled" },
	{ 0x72d79d83, "pgdir_shift" },
	{ 0x2fe8b1e5, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xac6eeea8, "perf_event_pause" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x944d2c41, "perf_event_period" },
	{ 0x1ef6adf6, "pcpu_hot" },
	{ 0x9188e761, "seq_lseek" },
	{ 0x7071152b, "vm_mmap" },
	{ 0x69e9a2ba, "send_sig_mceerr" },
	{ 0x26cda94f, "e820__mapped_raw_any" },
	{ 0x5ca81dc1, "bpf_trace_run2" },
	{ 0xf53c4168, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xae16ff9e, "synchronize_srcu" },
	{ 0x1cbd92b0, "cpu_mitigations_off" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x858ba7b9, "bpf_trace_run8" },
	{ 0x4d924f20, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x273e1002, "fpu_sync_guest_vmexit_xfd_state" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7a71c061, "__tracepoint_mmap_lock_released" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x8e5d4f46, "cpufreq_cpu_put" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbafd4033, "perf_event_read_value" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xb70ba712, "get_user_pages_remote" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xb3e314b0, "trace_event_buffer_commit" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xfe06e367, "anon_inode_getfd" },
	{ 0xccfad5c3, "param_get_uint" },
	{ 0x6bbd8324, "perf_unregister_guest_info_callbacks" },
	{ 0x34abceed, "follow_pfnmap_start" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xdcf6164b, "__filemap_get_folio" },
	{ 0xebd29ce0, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x47d8d301, "__cond_resched_rwlock_read" },
	{ 0x618911fc, "numa_node" },
	{ 0x9ae628a3, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0x402d50ed, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2d1a57cd, "find_vma" },
	{ 0xda1f78ee, "clear_hv_tscchange_cb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcfe59cb, "hyperv_fill_flush_guest_mapping_list" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x139c72d1, "param_ops_bint" },
	{ 0x18f6f55b, "debugfs_lookup" },
	{ 0xba1b2222, "mark_page_accessed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xc23a4a3b, "kobject_uevent_env" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0xb74c43f6, "fpu_update_guest_xfd" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8489dd66, "init_srcu_struct" },
	{ 0x256ec8a4, "perf_trace_run_bpf_submit" },
	{ 0x4688d7ec, "pvclock_gtod_unregister_notifier" },
	{ 0x42e462f1, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe7232e0f, "user_return_notifier_unregister" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8bfb89d9, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x3caba7a6, "simple_attr_release" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x2a9bf87, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49cd6512, "dentry_path_raw" },
	{ 0x5aededb6, "task_cputime_adjusted" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7ef00ff5, "noop_llseek" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf8fe3986, "pat_pfn_immune_to_uc_mtrr" },
	{ 0x44cfe20e, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6ecc607e, "mem_section" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f50f32, "rcu_nocb_flush_deferred_wakeup" },
	{ 0xc8352de9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "40448731DFC43FD090C0953");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
